Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 549978 - media-libs/libvpx-1.4.0 stable request
Summary: media-libs/libvpx-1.4.0 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 547310 550004
Blocks:
  Show dependency tree
 
Reported: 2015-05-20 15:23 UTC by Mike Gilbert
Modified: 2016-02-18 16:19 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2015-05-20 15:23:26 UTC
Please stabilize.

=media-libs/libvpx-1.4.0
Comment 1 Agostino Sarubbo gentoo-dev 2015-05-20 15:52:17 UTC
amd64 stable
Comment 2 Agostino Sarubbo gentoo-dev 2015-05-20 15:52:29 UTC
x86 stable
Comment 3 Frank Krömmelbein 2015-05-20 17:39:30 UTC
The stabilization of this version of libvpx, breaks compiling of stable dev-lang/php-5.5.24 and also of unstable 5.5.25. 
Please see https://bugs.gentoo.org/show_bug.cgi?id=547310
Comment 4 Mike Gilbert gentoo-dev 2015-05-20 18:47:29 UTC
(In reply to Frank Krömmelbein from comment #3)

Good to know, but it isn't going to block this stable request. The PHP team needs to fix their bug.
Comment 5 Gino McCarty 2015-05-21 06:58:51 UTC
conflict for people with chromium and thunderbird both installed

{code}
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-libs/libvpx:0

  (media-libs/libvpx-1.4.0:0/2::gentoo, ebuild scheduled for merge) pulled in by
    >=media-libs/libvpx-1.4.0:= required by (www-client/chromium-43.0.2357.65:0/0::gentoo, ebuild scheduled for merge)
    ^^                  ^^^^^                                                                                                                                                                   

  (media-libs/libvpx-1.3.0:0/0::gentoo, installed) pulled in by
    =media-libs/libvpx-1.3.0* required by (mail-client/thunderbird-31.7.0:0/0::gentoo, installed)
    ^                  ^^^^^^                                                                                       {code}
Comment 6 Pacho Ramos gentoo-dev 2015-05-21 11:05:29 UTC
I will probably bypass php team and commit the fix directly as soon as I am able to (or if anyone else has commit access and can do it sooner...) :S
Comment 7 Mike Gilbert gentoo-dev 2015-05-21 12:34:33 UTC
(In reply to Harvey Mittens from comment #5)

Disable the system-libvpx USE flag.
Comment 8 Richard Freeman gentoo-dev 2015-05-21 13:24:14 UTC
(In reply to Pacho Ramos from comment #6)
> I will probably bypass php team and commit the fix directly as soon as I am
> able to (or if anyone else has commit access and can do it sooner...) :S

I'm seeing a similar error with media-plugins/gst-plugins-vp8-0.10.23-r2
Comment 9 Andrew Petelin 2015-05-21 14:01:31 UTC
> I'm seeing a similar error with media-plugins/gst-plugins-vp8-0.10.23-r2

Ticket for it: https://bugs.gentoo.org/show_bug.cgi?id=550050
Comment 10 Jeroen Roovers gentoo-dev 2015-05-25 04:19:36 UTC
Stable for HPPA.
Comment 11 Jeroen Roovers gentoo-dev 2015-05-26 05:27:04 UTC
Stable for PPC64.
Comment 12 Jack Morgan (RETIRED) gentoo-dev 2015-06-02 05:20:49 UTC
sparc stable
Comment 13 Tibor Kekesi 2015-06-13 10:39:18 UTC
Not able to use video calls with Hangouts. There is a segfault in libvpx.so.2.0.0 when use flag "postproc" is not enabled.
Comment 14 Markus Meier gentoo-dev 2015-06-19 17:13:41 UTC
arm stable
Comment 15 Leho Kraav (:macmaN @lkraav) 2015-06-20 21:24:02 UTC
Build failing on amd64:

...
yasm -f elf64 -I./ -I"/mnt/datapool/tmp/portage/media-libs/libvpx-1.4.0/work/libvpx-1.4.0"/ -o vpx_ports/x86_abi_support.asm.o /mnt/datapool/tmp/portage/media-libs/libvpx-1.4.0/work/libvpx-1.
4.0/vpx_ports/x86_abi_support.asm
/mnt/datapool/tmp/portage/media-libs/libvpx-1.4.0/work/libvpx-1.4.0/vpx_ports/x86_abi_support.asm:398: error: undefined symbol `CONFIG_POSTPROC' in preprocessor
/mnt/datapool/tmp/portage/media-libs/libvpx-1.4.0/work/libvpx-1.4.0/vpx_ports/x86_abi_support.asm:398: error: undefined symbol `CONFIG_VP9_POSTPROC' in preprocessor
Makefile:179: recipe for target 'vpx_ports/emms.asm.o' failed
make[1]: *** [vpx_ports/emms.asm.o] Error 1
make[1]: *** Waiting for unfinished jobs....
/mnt/datapool/tmp/portage/media-libs/libvpx-1.4.0/work/libvpx-1.4.0/vpx_ports/x86_abi_support.asm:398: error: undefined symbol `CONFIG_POSTPROC' in preprocessor
/mnt/datapool/tmp/portage/media-libs/libvpx-1.4.0/work/libvpx-1.4.0/vpx_ports/x86_abi_support.asm:398: error: undefined symbol `CONFIG_VP9_POSTPROC' in preprocessor
Makefile:179: recipe for target 'vpx_ports/x86_abi_support.asm.o' failed
make[1]: *** [vpx_ports/x86_abi_support.asm.o] Error 1
Makefile:17: recipe for target '.DEFAULT' failed
make: *** [.DEFAULT] Error 2

Is there something specific wrong with my configuration? Why doesn't the ebuild detect this up front?
Comment 16 Mike Gilbert gentoo-dev 2015-06-20 22:14:54 UTC
(In reply to Leho Kraav (:macmaN @lkraav) from comment #15)

File a separate bug with emerge --info and a full build log.
Comment 17 Tobias Klausmann gentoo-dev 2015-07-17 07:33:56 UTC
Stable on alpha.

As a reference for future me: the test suite takes ~20 hours to complete on our fastest Alpha. Maybe we should mask it.
Comment 18 Pacho Ramos gentoo-dev 2015-07-23 19:59:30 UTC
ppc stable
Comment 19 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-07-30 18:58:14 UTC
ia64 stable
Comment 20 Leho Kraav (:macmaN @lkraav) 2016-02-18 16:19:53 UTC
(In reply to Leho Kraav (:macmaN @lkraav) from comment #15)
> Build failing on amd64:
> ...
> /mnt/datapool/tmp/portage/media-libs/libvpx-1.4.0/work/libvpx-1.4.0/vpx_ports/x86_abi_support.asm:398: error: undefined symbol `CONFIG_VP9_POSTPROC' in preprocessor
> ...

Slight gravedigging: pretty sure this is the good ol locale issue, filed at https://bugs.gentoo.org/show_bug.cgi?id=569146